import { User } from '../users/user';
import { HttpService } from '../http/http-service';
export declare class PermissionsService {
    _type: string;
    _roles: {
        ANONYMOUS: {
            actions: string;
            subject: string;
        }[];
    };
    _rules: any[];
    _user: User;
    _http: HttpService;
    constructor(enforcer: any);
    static readonly instance: any;
    loadRules(url: string, replace?: boolean, pluck?: string): Promise<void>;
    addRules(rules: any[], replace?: boolean): void;
    registerPermissionComponents(componentElements?: any): void;
    rules: any[];
    readonly roles: {
        ANONYMOUS: {
            actions: string;
            subject: string;
        }[];
    };
    user: User;
    type: string;
}
